Name:          libdeflate
Version:       1.23
Release:       1mamba
Summary:       Heavily optimized library for DEFLATE/zlib/gzip compression and decompression
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ebiggers/libdeflate
Source:        https://github.com/ebiggers/libdeflate.git/v%{version}/libdeflate-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
Heavily optimized library for DEFLATE/zlib/gzip compression and decompression.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Archiving
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libdeflate.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libdeflate.h
%{_libdir}/libdeflate.a
%{_libdir}/libdeflate.so
%{_libdir}/pkgconfig/libdeflate.pc
%dir %{_libdir}/cmake/libdeflate
%{_libdir}/cmake/libdeflate/libdeflate*.cmake
%doc README.md

%files tools
%defattr(-,root,root)
%{_bindir}/libdeflate-gunzip
%{_bindir}/libdeflate-gzip

%changelog
* Mon Dec 16 2024 Automatic Build System <autodist@openmamba.org> 1.23-1mamba
- automatic version update by autodist

* Sun Oct 06 2024 Automatic Build System <autodist@openmamba.org> 1.22-1mamba
- automatic version update by autodist

* Mon Aug 05 2024 Automatic Build System <autodist@openmamba.org> 1.21-1mamba
- automatic version update by autodist

* Sun Aug 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.20-1mamba
- package created using the webbuild interface
